### Method

# Gdk Display get_monitor_at_surface

#### Declaration [src]

    GdkMonitor*
    gdk_display_get_monitor_at_surface (
      GdkDisplay* display,
      GdkSurface* surface
    )

#### Description [src]

Gets the monitor in which the largest area of `surface` resides.

Returns a monitor close to `surface` if it is outside of all monitors.

#### Parameters

`surface` | `GdkSurface`
| A `GdkSurface`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GdkMonitor`
| The monitor with the largest overlap with `surface`.
| The data is owned by the instance.